package com.prolog.cs.biz.inbound.enums;

/**
 * 收货类型枚举类
 * 
 * @author Xiong
 * 
 *         0 全部 1 采购入库 2 销售退货 3 调拨入库 4 移库入库 5 调账入库 6 越库入库 7 直调入库 8 代管入库 9 待检入库
 *         10 器械入库 11 赠品入库 12 空入入库(有实物) 13 空入入库(无实物) 14 空退入库(有实物) 15 空退入库(无实物)
 *
 */
public enum RcvTypeEnum {

	ALL("全部", "0"), PURCHASE("采购入库", "1"), SALE_RETURN("销售退回", "2"), ALLOT("调拨入库", "3"), MOVE("移库入库", "4"),
	ACCOUNT_REG("调账入库", "5"), OVERSTEP("越库入库", "6"), STRAIGHT("直调入库", "7"), HOSTED("代管入库", "8"),
	WAIT_CHECK("待检入库", "9"), INSTRUMENT("器械入库", "10"), FREE("赠品入库", "11"), BLANK_ENTITY("空入入库(有实物)", "12"),
	BLANK("空入入库(无实物)", "13"), BLANK_RETURN_ENTITY("空退入库(有实物)", "14"), BLANK_RETURN("空退入库(无实物)", "15");

	private String name;

	private String code;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	private RcvTypeEnum(String name, String code) {
		this.name = name;
		this.code = code;
	}

}
